| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
precedence::CFDecision Struct Reference

`#include <src/PRGraph/PrecedenceRulesGraph.h>`

Collaboration diagram for precedence::CFDecision:
[legend]

## Public Member Functions
| CFDecision (const EventSlot &slot)
std::string | operator() (const AlgoProps &props) const
std::string | operator() (const DecisionHubProps &props) const
std::string | operator() (const DataProps &) const

## Public Attributes
const EventSlot & | m_slot

## Detailed Description

Definition at line 172 of file PrecedenceRulesGraph.h.

## Constructor & Destructor Documentation

## ◆ CFDecision()

precedence::CFDecision::CFDecision | ( | const EventSlot & | slot | ) |
| inline

Definition at line 173 of file PrecedenceRulesGraph.h.

173 : m_slot( slot ) {}
precedence::CFDecision::m_slot
const EventSlot & m_slot
Definition: PrecedenceRulesGraph.h:185

## Member Function Documentation

## ◆ operator()() [1/3]

std::string precedence::CFDecision::operator() | ( | const AlgoProps & | props | ) | const
| inline

Definition at line 175 of file PrecedenceRulesGraph.h.

175 {
176 return std::to_string( m_slot.controlFlowState.at( props.m_nodeIndex ) );
177 }
std::to_string
T to_string(T... args)
precedence::CFDecision::m_slot
const EventSlot & m_slot
Definition: PrecedenceRulesGraph.h:185
EventSlot::controlFlowState
std::vector< int > controlFlowState
State of the control flow.
Definition: EventSlot.h:77
std::vector::at
T at(T... args)

## ◆ operator()() [2/3]

std::string precedence::CFDecision::operator() | ( | const DecisionHubProps & | props | ) | const
| inline

Definition at line 179 of file PrecedenceRulesGraph.h.

179 {
180 return std::to_string( m_slot.controlFlowState.at( props.m_nodeIndex ) );
181 }
std::to_string
T to_string(T... args)
precedence::CFDecision::m_slot
const EventSlot & m_slot
Definition: PrecedenceRulesGraph.h:185
EventSlot::controlFlowState
std::vector< int > controlFlowState
State of the control flow.
Definition: EventSlot.h:77
std::vector::at
T at(T... args)

## ◆ operator()() [3/3]

std::string precedence::CFDecision::operator() | ( | const DataProps & |  | ) | const
| inline

Definition at line 183 of file PrecedenceRulesGraph.h.

183 { return ""; }

## Member Data Documentation

## ◆ m_slot

const EventSlot& precedence::CFDecision::m_slot

Definition at line 185 of file PrecedenceRulesGraph.h.

The documentation for this struct was generated from the following file:

- GaudiHive/src/PRGraph/PrecedenceRulesGraph.h